Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xqj
Class XQDataSource

    java.lang.Object
      org.exist.xqj.XQDataSource

All Implemented Interfaces:
  javax.xml.xquery.XQDataFactory, javax.xml.xquery.XQDataSource

public class XQDataSource
extends java.lang.Object
implements javax.xml.xquery.XQDataSource

Author:
  Adam Retter

Constructor Summary
`XQDataSource()`

Method Summary
`javax.xml.xquery.XQItemType` | `createAtomicItemType(int baseType)`
`javax.xml.xquery.XQItem` | `createItem(javax.xml.xquery.XQItem item)`
`javax.xml.xquery.XQItem` | `createItemFromAtomicValue(java.lang.String value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` | `createItemFromBoolean(boolean value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` | `createItemFromByte(byte value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` | `createItemFromDocument(org.xml.sax.InputSource value)`
`javax.xml.xquery.XQItem` | `createItemFromDouble(double value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` | `createItemFromFloat(float value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` | `createItemFromInt(int value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` | `createItemFromLong(long value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` | `createItemFromNode(org.w3c.dom.Node value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` | `createItemFromObject(java.lang.Object value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` | `createItemFromShort(short value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItemType` | `createItemType(int itemkind, int basetype, javax.xml.namespace.QName nodename)`
`javax.xml.xquery.XQItemType` | `createItemType(int itemkind, int basetype, javax.xml.namespace.QName nodename, javax.xml.namespace.QName typename, java.net.URI schemaURI, boolean nillable)`
`javax.xml.xquery.XQSequence` | `createSequence(java.util.Iterator i)`
`javax.xml.xquery.XQSequence` | `createSequence(javax.xml.xquery.XQSequence s)`
`javax.xml.xquery.XQSequenceType` | `createSequenceType(javax.xml.xquery.XQItemType item, int occurrence)`
`javax.xml.xquery.XQConnection` | `getConnection()`
`javax.xml.xquery.XQConnection` | `getConnection(java.sql.Connection con)`
`javax.xml.xquery.XQConnection` | `getConnection(java.lang.String username, java.lang.String password)`
`int` | `getLoginTimeout()`
`java.io.PrintWriter` | `getLogWriter()`
`java.lang.String` | `getProperty(java.lang.String name)`
`java.lang.String[]` | `getSupportedPropertyNames()`
`void` | `setCommonHandler(javax.xml.xquery.XQCommonHandler handler)`
`void` | `setLoginTimeout(int seconds)`
`void` | `setLogWriter(java.io.PrintWriter out)`
`void` | `setProperties(java.util.Properties props)`
`void` | `setProperty(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQDataSource

    public XQDataSource()

Method Detail

### getConnection

    public javax.xml.xquery.XQConnection getConnection()
                                                throws javax.xml.xquery.XQException

  Specified by:
    `getConnection` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

### getConnection

    public javax.xml.xquery.XQConnection getConnection(java.sql.Connection con)
                                                throws javax.xml.xquery.XQException

  Specified by:
    `getConnection` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

### getConnection

    public javax.xml.xquery.XQConnection getConnection(java.lang.String username,
                                                       java.lang.String password)
                                                throws javax.xml.xquery.XQException

  Specified by:
    `getConnection` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

### getLoginTimeout

    public int getLoginTimeout()

  Specified by:
    `getLoginTimeout` in interface `javax.xml.xquery.XQDataSource`

### getLogWriter

    public java.io.PrintWriter getLogWriter()

  Specified by:
    `getLogWriter` in interface `javax.xml.xquery.XQDataSource`

### getProperty

    public java.lang.String getProperty(java.lang.String name)
                                 throws javax.xml.xquery.XQException

  Specified by:
    `getProperty` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

### getSupportedPropertyNames

    public java.lang.String[] getSupportedPropertyNames()

  Specified by:
    `getSupportedPropertyNames` in interface `javax.xml.xquery.XQDataSource`

### setCommonHandler

    public void setCommonHandler(javax.xml.xquery.XQCommonHandler handler)
                          throws javax.xml.xquery.XQException

  Specified by:
    `setCommonHandler` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws javax.xml.xquery.XQException

  Specified by:
    `setLoginTimeout` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

### setLogWriter

    public void setLogWriter(java.io.PrintWriter out)
                      throws javax.xml.xquery.XQException

  Specified by:
    `setLogWriter` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

### setProperties

    public void setProperties(java.util.Properties props)
                       throws javax.xml.xquery.XQException

  Specified by:
    `setProperties` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)
                     throws javax.xml.xquery.XQException

  Specified by:
    `setProperty` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

### createAtomicItemType

    public javax.xml.xquery.XQItemType createAtomicItemType(int baseType)
                                                     throws javax.xml.xquery.XQException

  Specified by:
    `createAtomicItemType` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItem

    public javax.xml.xquery.XQItem createItem(javax.xml.xquery.XQItem item)
                                       throws javax.xml.xquery.XQException

  Specified by:
    `createItem` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromAtomicValue

    public javax.xml.xquery.XQItem createItemFromAtomicValue(java.lang.String value,
                                                             javax.xml.xquery.XQItemType type)
                                                      throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromAtomicValue` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromBoolean

    public javax.xml.xquery.XQItem createItemFromBoolean(boolean value,
                                                         javax.xml.xquery.XQItemType type)
                                                  throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromBoolean` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromByte

    public javax.xml.xquery.XQItem createItemFromByte(byte value,
                                                      javax.xml.xquery.XQItemType type)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromByte` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromDocument

    public javax.xml.xquery.XQItem createItemFromDocument(org.xml.sax.InputSource value)
                                                   throws javax.xml.xquery.XQException,
                                                          java.io.IOException

  Specified by:
    `createItemFromDocument` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`
    `java.io.IOException`

### createItemFromDouble

    public javax.xml.xquery.XQItem createItemFromDouble(double value,
                                                        javax.xml.xquery.XQItemType type)
                                                 throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromDouble` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromFloat

    public javax.xml.xquery.XQItem createItemFromFloat(float value,
                                                       javax.xml.xquery.XQItemType type)
                                                throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromFloat` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromInt

    public javax.xml.xquery.XQItem createItemFromInt(int value,
                                                     javax.xml.xquery.XQItemType type)
                                              throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromInt` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromLong

    public javax.xml.xquery.XQItem createItemFromLong(long value,
                                                      javax.xml.xquery.XQItemType type)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromLong` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromNode

    public javax.xml.xquery.XQItem createItemFromNode(org.w3c.dom.Node value,
                                                      javax.xml.xquery.XQItemType type)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromNode` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromObject

    public javax.xml.xquery.XQItem createItemFromObject(java.lang.Object value,
                                                        javax.xml.xquery.XQItemType type)
                                                 throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromObject` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromShort

    public javax.xml.xquery.XQItem createItemFromShort(short value,
                                                       javax.xml.xquery.XQItemType type)
                                                throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromShort` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemType

    public javax.xml.xquery.XQItemType createItemType(int itemkind,
                                                      int basetype,
                                                      javax.xml.namespace.QName nodename)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createItemType` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemType

    public javax.xml.xquery.XQItemType createItemType(int itemkind,
                                                      int basetype,
                                                      javax.xml.namespace.QName nodename,
                                                      javax.xml.namespace.QName typename,
                                                      java.net.URI schemaURI,
                                                      boolean nillable)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createItemType` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createSequence

    public javax.xml.xquery.XQSequence createSequence(java.util.Iterator i)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createSequence` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createSequence

    public javax.xml.xquery.XQSequence createSequence(javax.xml.xquery.XQSequence s)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createSequence` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createSequenceType

    public javax.xml.xquery.XQSequenceType createSequenceType(javax.xml.xquery.XQItemType item,
                                                              int occurrence)
                                                       throws javax.xml.xquery.XQException

  Specified by:
    `createSequenceType` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.